Bug 592585 - grubby recieved SIGSEGV!
grubby recieved SIGSEGV!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 11:00 EDT by Matthias Clasen
Modified: 2012-08-16 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2010-05-15 11:00:30 EDT
Upon going from F13 to rawhide:

  Installing     : kernel-2.6.34-0.49.rc7.git0.fc14.x86_64            1196/2425 
grubby recieved SIGSEGV!  Backtrace (8):
/sbin/grubby[0x40800f]
/lib64/libc.so.6[0x3d76a32a40]
/lib64/libc.so.6[0x3d76b279ba]
/sbin/grubby[0x40695e]
/sbin/grubby[0x406ae4]
/sbin/grubby[0x407c1e]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3d76a1ec5d]
/sbin/grubby[0x401709]


Here is the grub.conf that it failed on:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/mapper/luks-47f589a3-169e-4824-a5ce-92e23834e46b
#          initrd /initrd-[generic-]version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux (2.6.32-23.el6.x86_64)
‣‧‧‧‧‧‧‧root (hd0,0)
‣‧‧‧‧‧‧‧kernel /vmlinuz-2.6.32-23.el6.x86_64 ro root=/dev/mapper/luks-47f589a3-169e-4824-a5ce-92e23834e46b rd_LUKS_UUID=luks-47f589a3-169e-4824-a5ce-92e23834e46b rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=auto rhgb quiet
‣‧‧‧‧‧‧‧initrd /initramfs-2.6.32-23.el6.x86_64.img
title Fedora (2.6.33.2-57.fc13.x86_64)
‣‧‧‧‧‧‧‧root (hd0,0)
‣‧‧‧‧‧‧‧kernel /vmlinuz-2.6.33.2-57.fc13.x86_64 ro root=/dev/sda5 rhgb quiet
        initrd /initramfs-2.6.33.2-57.fc13.x86_64.img
title Fedora (2.6.33.3-85.fc13.x86_64)
‣‧‧‧‧‧‧‧root (hd0,0)
‣‧‧‧‧‧‧‧kernel /vmlinuz-2.6.33.3-85.fc13.x86_64 ro root=/dev/sda5 rhgb quiet
        initrd /initramfs-2.6.33.3-85.fc13.x86_64.img



I'll also point out that the error message has a common typo. It should be 'received'
Comment 1 Bug Zapper 2010-07-30 07:38:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2012-08-16 15:48:18 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.